Subject: Re: Starting Apache for Cygwin as a service
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Fri, 9 Aug 2002 21:21:45 +0900
Newsgroups: gmane.os.cygwin

I don't remember having to create another user and assign different rights.

I just ran Invoker pointing to the apache executable.

It was really easy.

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com
P2P internet radio - http://www.peercast.org

"Andrew DeFaria" <[email-masked]> wrote in message
news:[email-masked]...
> Dylan Cuthbert wrote:
>
> > I had this problem too.
> >
> > It is caused by apache forking itself and killing its parent, ie. the
> > original task the service manager starts up, then the service manager
> > thinks that apache has aborted and reports the error, and closes down
> > the entire process.
> >
> > At least to my understanding it is *something* like that.
>
> Yes. I also had this problem with exim when using cygrunsrv. With exim
> there was a parameter that I could use to tell it run in a more "normal"
> daemon mode. However with Apache there is no such parameter, hence the
> question.
>
> > The way to get around this problem is to use a tool called Invoker.exe
> > that wraps this kind of linux-like daemon behaviour, the instructions
> > are here http://www.student.uni-koeln.de/cygwin/Howto/NT-service/
>
> Using this invoker, having to create another user and assign it special
> rights, etc, seems like a real bother especially when even this solution
> doesn't solve the "net stop apache" problem.
>
> >
> >
> > Regards
> >
> > ---------------------------------
> > Q-Games, Dylan Cuthbert.
> > http://www.q-games.com
> > P2P internet radio - http://www.peercast.org
> >
> >
> > "Andrew DeFaria" <[email-masked]> wrote in message
> > news:[email-masked]...
> >
> >> What is the correct way to start Apache for Cygwin as a Windows
service?
> >> According to http://httpd.apache.org/docs/cygwin.html it should be as
> >> simple as:
> >>
> >> $ cygrunsrv -I Apache -p /usr/sbin/httpd
> >>
> >> (Note that page says
> >>
> >> $ cygrunsrv -I service_name-p /usr/local/apache/bin/httpd.exe [-a
> >
> > arguments] \
> >
> >> [-e VAR=VALUE] [-t auto|manual] [-u user] [-w passwd]
> >>
> >> However there is no /usr/local/apache/httpd but there is a
> >
> > /usr/sbin/httpd)
> >
> >> When I install the service this way and attempt to start it via
> >> cygrunsrv -S Apache I get the following:
> >>
> >> cygrunsrv: Error starting a service: QueryServiceStatus: Win32 error
> >
> > 1062:
> >
> >> The service has not been started.
> >>
> >> Yet there are httpd processes started. Additionally the Apache service
> >> in Windows Services applet does not show as Started thus cannot be
> >> stopped. Further a cygrunsrv -E Apache does not stop the httpd's but
> >> apachectl stop will stop them. Two cygrunsrv -S Apache will result in
> >> multiple httpd threads being started and an apachectl stop will only
> >> stop one of the threads.
> >>
> >> Starting the service the "Windows" way via the Services applet will
> >> yield:
> >>
> >> The Apache service on Local Computer started and then stopped. Some
> >> services stop automatically if they have no work to do, for example,
> >> the Performance Logs and Alerts service.
> >>
> >> And, again, the service is not listed as started thus not stoppable via
> >> the Services applet.
> >>
> >> So what is the appropriate cygrunsrv command to install Apache for
> >> Cygwin as a Windows service?
> >>
> >>
> >>
> >>
> >> --
> >> Unsubscribe info: http://cygwin.com/ml/#unsubscribe-simple
> >> Bug reporting: http://cygwin.com/bugs.html
> >> Documentation: http://cygwin.com/docs.html
> >> FAQ: http://cygwin.com/faq/
> >>
> >>
> >
> >
> >
> >
> > --
> > Unsubscribe info: http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting: http://cygwin.com/bugs.html
> > Documentation: http://cygwin.com/docs.html
> > FAQ: http://cygwin.com/faq/
> >
> >
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/